package ca.uwaterloo.gp.editorlist;

/**********************************************************************
Copyright (c) 2002 IBM Corp.  All rights reserved.
This file is made available under the terms of the Common Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/cpl-v10.html
*********************************************************************/

import org.eclipse.jface.action.Action;

/**
 * The CloseAllEditorAction closes all open editors
 * for an EditorList view.
 */
public class CloseAllEditorAction extends Action {

	private EditorList view;

	public CloseAllEditorAction(EditorList viewPart) {
		setDescription(EditorListMessages.getString("CloseAllEditorAction.Close_all_open_editors_1")); //$NON-NLS-1$
		setText(EditorListMessages.getString("CloseAllEditorAction.Close_all_2")); //$NON-NLS-1$
		view= viewPart;
	}

	/**
	 * @see IAction#run()
	 */
	public void run() {
		view.closeAllEditors();
	}

}
