package ca.uwaterloo.gp.editorlist;

/**********************************************************************
Copyright (c) 2002 IBM Corp.  All rights reserved.
This file is made available under the terms of the Common Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/cpl-v10.html
*********************************************************************/

import org.eclipse.jface.action.Action;

/**
 * The CloseEditorAction closes selected editors in an EditorList
 */
public class CloseEditorAction extends Action {

	private EditorList view;

	public CloseEditorAction(EditorList viewPart) {
		setDescription(EditorListMessages.getString("CloseEditorAction.Close_the_selected_editor_1")); //$NON-NLS-1$
		setText(EditorListMessages.getString("CloseEditorAction.Close_2")); //$NON-NLS-1$
		view= viewPart;
	}

	/**
	 * @see IAction#run()
	 */
	public void run() {
		view.closeSelectedEditors();
	}

}
